# Deprecated API

## Contents

- Fields
- Methods

Deprecated Fields
Field
Description
org.h2.api.ErrorCode.USER_DATA_TYPE_ALREADY_EXISTS_1
org.h2.api.ErrorCode.USER_DATA_TYPE_NOT_FOUND_1

Deprecated Methods
Method
Description
org.h2.jdbc.JdbcCallableStatement.getBigDecimal(int, int)
use `JdbcCallableStatement.getBigDecimal(int)`
org.h2.jdbc.JdbcPreparedStatement.setUnicodeStream(int, InputStream, int)
since JDBC 2.0, use setCharacterStream
org.h2.jdbc.JdbcResultSet.getBigDecimal(int, int)
use `JdbcResultSet.getBigDecimal(int)`
org.h2.jdbc.JdbcResultSet.getBigDecimal(String, int)
use `JdbcResultSet.getBigDecimal(String)`
org.h2.jdbc.JdbcResultSet.getUnicodeStream(int)
since JDBC 2.0, use getCharacterStream
org.h2.jdbc.JdbcResultSet.getUnicodeStream(String)
since JDBC 2.0, use setCharacterStream
org.h2.tools.SimpleResultSet.getBigDecimal(int, int)
INTERNAL
org.h2.tools.SimpleResultSet.getBigDecimal(String, int)
INTERNAL
org.h2.tools.SimpleResultSet.getUnicodeStream(int)
INTERNAL
org.h2.tools.SimpleResultSet.getUnicodeStream(String)
INTERNAL